> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# CRUD: Retrieve an import

GET https://rest.test.zuora.com/v1/object/import/{id}

Retrieve an data import job.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/general-purpose-operations/imports/object-get-import

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `id` (string, required) — Object id

### Query parameters

- `fields` (string, optional) — Object fields to return

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `CreatedById` (string, optional) — The user ID of the person who created the import. **Character limit**: 32 **Values**: automatically generated
- `CreatedDate` (datetime, optional) — The date when the import was created. **Character limit**: 29 **Values**: automatically generated
- `Id` (string, optional) — Object identifier.
- `ImportType` (string, optional) — The type of item imported. **Character limit**: 7 **Values**: Usage
- `ImportedCount` (integer, optional) — The number of records successfully imported. **Values**: automatically generated
- `Md5` (string, optional) — A check to validate the import file's integrity. **Character limit:** 32 **System-generated:** no **Values**: a string of 32 characters or fewer
- `Name` (string, optional) — A descriptive name for the import. **Character limit:** 100 **Values:** one of the following: * a string of 100 characters or fewer * if NULL default is: `import <ImportType_value>`
- `OriginalResourceUrl` (string, optional) — The URL for your import file, which contains your records for upload. When you upload the file, Zuora assigns it to this address. **Values:** automatic dynamically-generated URL
- `ResultResourceUrl` (string, optional) — The URL for the import result file, which is a zipped CSV file. **Values**: automatic dynamically-generated URL
- `Status` (string, optional) — The status of the import process. **Values**: automatically generated using one of the following values: - Pending - Processing - Completed - Failed
- `StatusReason` (string, optional) — The reason for the system-generated status. Use this information if the import fails. **Character limit**: 2000 **Values**: automatically generated error message
- `TotalCount` (integer, optional) — The number of records in the import file. **Character limit**: **Values**: automatically generated
- `UpdatedById` (string, optional) — The ID of the user who last updated the import. **Character limit**: 32 **Values**: automatically generated
- `UpdatedDate` (datetime, optional) — The date when the import was last updated. **Character limit**: 29 **Values**: automatically generated

## Errors

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional) — Error message. If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.

### 404 Not Found Error

- `done` (boolean, optional)
- `records` (list of ProxyNoDataResponseRecordsItems, optional)
- `size` (integer, optional)

## Types

### ProxyNoDataResponseRecordsItems

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "CreatedById": "user_8a7f3c2d4b5e6f01",
  "CreatedDate": "2024-01-15T09:30:00Z",
  "Id": "import_1234567890abcdef",
  "ImportType": "Usage",
  "ImportedCount": 2450,
  "Md5": "d41d8cd98f00b204e9800998ecf8427e",
  "Name": "January Usage Import",
  "OriginalResourceUrl": "https://files.zuora.com/imports/usage_jan2024.csv",
  "ResultResourceUrl": "https://files.zuora.com/imports/results/usage_jan2024_result.zip",
  "Status": "Completed",
  "StatusReason": "",
  "TotalCount": 2500,
  "UpdatedById": "user_8a7f3c2d4b5e6f01",
  "UpdatedDate": "2024-01-15T10:45:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/v1/object/import/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/v1/object/import/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/object/import/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/object/import/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/object/import/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/object/import/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/object/import/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/object/import/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```